Bluetooth
24 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIotBlueToothAgingTime | GET | Get Aging Time (deprecated) |
| modifyIotBlueToothAgingTime | PUT | Modify Aging Time (deprecated) |
| getGridBtIbeaconDevices | GET | Get Bluetooth Advertising Devices |
| getGridBtIbeaconList | GET | Get Bluetooth Advertising (deprecated) |
| createBtIbeaconConfig | POST | Create Bluetooth Advertising (deprecated) |
| deleteBtIbeaconConfig | DELETE | Delete Bluetooth Advertising (deprecated) |
| modifyBtIbeaconConfig | PUT | Modify Bluetooth Advertising (deprecated) |
| batchDeleteBtIbeaconConfig | DELETE | Batch delete Bluetooth Advertising (deprecated) |
| batchModifyBtIbeaconConfig | POST | Batch modify Bluetooth Advertising (deprecated) |
| getIotRadioSetting | GET | Get Iot Radio Setting |
| modifyIotRadioSetting | PATCH | Modify Iot Radio Setting |
| getIotDeviceTransmitPowerInfoList | GET | Get IoT devices with transmit power |
| batchModifyIotDeviceTransmitPower | PUT | Batch Modify transmit power of IoT devices. |
| getGridIotServer | GET | Get IoT Transport Steam |
| createIotServer | POST | Create IoT Transport Stream |
| deleteIotServer | DELETE | Delete IoT Transport Stream |
| modifyIotServer | PUT | Modify IoT Transport Steam |
| batchDeleteIotServer | DELETE | Batch Delete IoT Transport Stream |
| getGridBtIbeaconListV2 | GET | Get Bluetooth Advertising v2 |
| createBtIbeaconConfigV2 | POST | Create Bluetooth Advertising v2 |
| deleteBtIbeaconConfigV2 | DELETE | Delete Bluetooth Advertising v2 |
| modifyBtIbeaconConfigV2 | PUT | Modify Bluetooth Advertising v2 |
| batchDeleteBtIbeaconConfigV2 | DELETE | Batch delete Bluetooth Advertising v2 |
| batchModifyBtIbeaconConfigV2 | POST | Batch modify Bluetooth Advertising |
getIotBlueToothAgingTime
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/aging-time
Deprecated
This operation is deprecated.
Get Aging Time
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getIotBlueToothAgingTime",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
The system automatically removes a device's registry entry if no data reports are received within a predefined aging period.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
modifyIotBlueToothAgingTime
PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/aging-time
Deprecated
This operation is deprecated.
Modify Aging Time
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema IotAgingTimeOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
agingTime_iotAgingTime | integer | yes | The system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/> |
format_iotAgingTime | integer | yes | The parameter [format] should be a value as follows: [0:second 1:minute; 2:hour] |
// omada_call_operation
{
"operationId": "modifyIotBlueToothAgingTime",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Aging Time. Note: The modification of AgingTime now follows Bluetooth -> Radio Setting, please use the Radio Setting interface to configure AgingTime.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getGridBtIbeaconDevices
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices
Get Bluetooth Advertising Devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridBtIbeaconDevices",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Gets a list of devices that can configure iBeacon.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
getGridBtIbeaconList
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config
Deprecated
This operation is deprecated.
Get Bluetooth Advertising
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridBtIbeaconList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, if you want to configure the Transmit Power in Bluetooth -> Radio Setting, use the v2 interface to get the Bluetooth Advertising information.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createBtIbeaconConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config
Deprecated
This operation is deprecated.
Create Bluetooth Advertising
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ConfigIotBtIbeaconOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified. |
macList | array<string> | yes | List of device MAC addresses bound to this configuration. |
enable | boolean | no | Whether to enable the Bluetooth Advertising setting.(Disable by default) |
transmitPower | integer | no | Broadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default) |
measurePower | integer | no | RSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default) |
advInterval | integer | no | Advertising interval in milliseconds.(500 by default) |
uuid | string | yes | The UUID (Universally Unique Identifier) of the advertising ibeacon packet. |
major | string | yes | The major value of adverting ibeacon packet, indicating a larger group. |
minor | string | yes | The minor value of adverting ibeacon packet, indicating a smaller group. |
// omada_call_operation
{
"operationId": "createBtIbeaconConfig",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteBtIbeaconConfig
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}
Deprecated
This operation is deprecated.
Delete Bluetooth Advertising
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Bluetooth Advertising entry ID |
// omada_call_operation
{
"operationId": "deleteBtIbeaconConfig",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyBtIbeaconConfig
PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}
Deprecated
This operation is deprecated.
Modify Bluetooth Advertising
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Bluetooth Advertising entry ID |
Request body — application/json (required) — schema ConfigIotBtIbeaconOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified. |
macList | array<string> | yes | List of device MAC addresses bound to this configuration. |
enable | boolean | no | Whether to enable the Bluetooth Advertising setting.(Disable by default) |
transmitPower | integer | no | Broadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default) |
measurePower | integer | no | RSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default) |
advInterval | integer | no | Advertising interval in milliseconds.(500 by default) |
uuid | string | yes | The UUID (Universally Unique Identifier) of the advertising ibeacon packet. |
major | string | yes | The major value of adverting ibeacon packet, indicating a larger group. |
minor | string | yes | The minor value of adverting ibeacon packet, indicating a smaller group. |
// omada_call_operation
{
"operationId": "modifyBtIbeaconConfig",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
batchDeleteBtIbeaconConfig
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch
Deprecated
This operation is deprecated.
Batch delete Bluetooth Advertising
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | A set of Bluetooth Advertising entry ids to be deleted. |
// omada_call_operation
{
"operationId": "batchDeleteBtIbeaconConfig",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
batchModifyBtIbeaconConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch-config
Deprecated
This operation is deprecated.
Batch modify Bluetooth Advertising
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchModifyIbeaconOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
config | BatchConfigIotBtIbeaconOpenApiVO | no | (BatchConfigIotBtIbeaconOpenApiVO not expanded; call omada_get_schema "BatchConfigIotBtIbeaconOpenApiVO") |
ids | array<string> | no | A set of Bluetooth Advertising entry ids to be modified. |
// omada_call_operation
{
"operationId": "batchModifyBtIbeaconConfig",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getIotRadioSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio
Get Iot Radio Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getIotRadioSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Iot Radio Setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
modifyIotRadioSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio
Modify Iot Radio Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema IotRadioSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Bluetooth enable. |
consoleMode | integer | no | Bluetooth consle mode should be a value as follow:[0:auto, 1:on, 2:off]. |
passcode | string | no | Bluetooth consle passcode. |
transmitPower | integer | no | Broadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default) |
agingTime | integer | no | The system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/> |
format | integer | no | The parameter [format] should be a value as follows: [0:second 1:minute; 2:hour] |
resource | integer | no |
// omada_call_operation
{
"operationId": "modifyIotRadioSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Iot Radio Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getIotDeviceTransmitPowerInfoList
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio/transmit-power
Get IoT devices with transmit power
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field Device Name |
// omada_call_operation
{
"operationId": "getIotDeviceTransmitPowerInfoList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the list of Iot devices with transmit power information.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
batchModifyIotDeviceTransmitPower
PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio/transmit-power
Batch Modify transmit power of IoT devices.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchConfigIotTransmitPowerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macs | array<string> | yes | Device mac list. If selectAll is true, mac in macs is excluded. |
override | boolean | yes | Whether to override the configuration. |
transmitPower | integer | no | Broadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default) |
selectAll | boolean | yes | Whether to select all device. The selected devices are the ones filtered out based on the searchKey. |
searchKey | string | no | Look for a specific piece of data. |
// omada_call_operation
{
"operationId": "batchModifyIotDeviceTransmitPower",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch Modify transmit power of IoT devices.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getGridIotServer
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers
Get IoT Transport Steam
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridIotServer",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get IoT Transport Steam.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createIotServer
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers
Create IoT Transport Stream
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ConfigIotServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | IoT Transport Stream setting name. |
enable | boolean | yes | Whether to enable the IoT Transport Stream setting. |
serverUrl | string | yes | If the service type is http, the server URL must start with http://. |
serverType | integer | yes | The server type should be a value as follows: [0: http]. |
deviceClasses | array<integer> | yes | Supports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone]. |
reportInterval | integer | no | Data reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled. |
authentication | integer | yes | The parameter [authentication] should be a value as follows:[0:Use Token]. |
accessToken | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters. |
clientId | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters. |
rssiFormat | integer | yes | The signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk]. |
filtersType | array<integer> | no | User-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL]. |
filters | object | no | The keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br /> |
countOnly | boolean | no | A switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled. |
blePeriodicTelemetry | boolean | yes | Whether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded. |
rawData | boolean | yes | Whether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server. |
// omada_call_operation
{
"operationId": "createIotServer",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create IoT Transport Stream setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteIotServer
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers/{id}
Delete IoT Transport Stream
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | IoT Transport Stream entry ID |
// omada_call_operation
{
"operationId": "deleteIotServer",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete IoT Transport Stream setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyIotServer
PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers/{id}
Modify IoT Transport Steam
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | IoT Transport Stream entry ID |
Request body — application/json (required) — schema ConfigIotServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | IoT Transport Stream setting name. |
enable | boolean | yes | Whether to enable the IoT Transport Stream setting. |
serverUrl | string | yes | If the service type is http, the server URL must start with http://. |
serverType | integer | yes | The server type should be a value as follows: [0: http]. |
deviceClasses | array<integer> | yes | Supports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone]. |
reportInterval | integer | no | Data reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled. |
authentication | integer | yes | The parameter [authentication] should be a value as follows:[0:Use Token]. |
accessToken | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters. |
clientId | string | yes | This parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters. |
rssiFormat | integer | yes | The signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk]. |
filtersType | array<integer> | no | User-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL]. |
filters | object | no | The keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br /> |
countOnly | boolean | no | A switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled. |
blePeriodicTelemetry | boolean | yes | Whether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded. |
rawData | boolean | yes | Whether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server. |
// omada_call_operation
{
"operationId": "modifyIotServer",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IoT Transport Steam.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
batchDeleteIotServer
DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers/batch-delete
Batch Delete IoT Transport Stream
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | A set of Bluetooth Advertising entry ids to be deleted. |
// omada_call_operation
{
"operationId": "batchDeleteIotServer",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch Delete IoT Transport Stream.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
getGridBtIbeaconListV2
GET /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config
Get Bluetooth Advertising v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridBtIbeaconListV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Bluetooth Advertising v2. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
createBtIbeaconConfigV2
POST /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config
Create Bluetooth Advertising v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ConfigIotBtIbeaconV2OpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified. |
macList | array<string> | yes | List of device MAC addresses bound to this configuration. |
enable | boolean | no | Whether to enable the Bluetooth Advertising setting.(Disable by default) |
measurePower | integer | no | RSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default) |
advInterval | integer | no | Advertising interval in milliseconds.(500 by default) |
uuid | string | yes | The UUID (Universally Unique Identifier) of the advertising ibeacon packet. |
major | string | yes | The major value of adverting ibeacon packet, indicating a larger group. |
minor | string | yes | The minor value of adverting ibeacon packet, indicating a smaller group. |
// omada_call_operation
{
"operationId": "createBtIbeaconConfigV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Bluetooth Advertising v2. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
deleteBtIbeaconConfigV2
DELETE /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}
Delete Bluetooth Advertising v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Bluetooth Advertising entry ID |
// omada_call_operation
{
"operationId": "deleteBtIbeaconConfigV2",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete Bluetooth Advertising v2.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
modifyBtIbeaconConfigV2
PUT /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}
Modify Bluetooth Advertising v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Bluetooth Advertising entry ID |
Request body — application/json (required) — schema ConfigIotBtIbeaconV2OpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified. |
macList | array<string> | yes | List of device MAC addresses bound to this configuration. |
enable | boolean | no | Whether to enable the Bluetooth Advertising setting.(Disable by default) |
measurePower | integer | no | RSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default) |
advInterval | integer | no | Advertising interval in milliseconds.(500 by default) |
uuid | string | yes | The UUID (Universally Unique Identifier) of the advertising ibeacon packet. |
major | string | yes | The major value of adverting ibeacon packet, indicating a larger group. |
minor | string | yes | The minor value of adverting ibeacon packet, indicating a smaller group. |
// omada_call_operation
{
"operationId": "modifyBtIbeaconConfigV2",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Bluetooth Advertising v2. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
batchDeleteBtIbeaconConfigV2
DELETE /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch
Batch delete Bluetooth Advertising v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | A set of Bluetooth Advertising entry ids to be deleted. |
// omada_call_operation
{
"operationId": "batchDeleteBtIbeaconConfigV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete Bluetooth Advertising v2.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
batchModifyBtIbeaconConfigV2
POST /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch-config
Batch modify Bluetooth Advertising
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchModifyIbeaconV2OpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
config | BatchConfigIotBtIbeaconV2OpenApiVO | no | (BatchConfigIotBtIbeaconV2OpenApiVO not expanded; call omada_get_schema "BatchConfigIotBtIbeaconV2OpenApiVO") |
ids | array<string> | no | A set of Bluetooth Advertising entry ids to be modified. |
// omada_call_operation
{
"operationId": "batchModifyBtIbeaconConfigV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify